<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\EventBundle\Repository;

use Chill\EventBundle\Entity\EventTheme;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @extends ServiceEntityRepository<EventTheme>
 */
class EventThemeRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, EventTheme::class);
    }

    public function findByActiveOrdered(): array
    {
        return $this->createQueryBuilder('t')
            ->select('t')
            ->where('t.isActive = True')
            ->orderBy('t.ordering', 'ASC')
            ->getQuery()
            ->getResult();
    }
}
